function DFOctr(optimAlg)
    fileID = fopen('results/control_params.txt','w');
    fprintf(fileID,'optimtype: %i\n', optimAlg);
    fprintf(fileID,'omega1 omega2 omega3 eta_cost energy_cost tau_dot_cost cost\n');
    fclose(fileID);
    %    omega1    omega2 omega3
    LB = [0.0388, 0.0436, 0.2223]';
    UB = [1, 1, 1]';
    if optimAlg == 1 %particleswarm
        options = optimoptions('particleswarm', 'PlotFcn', 'pswplotbestf', 'UseVectorized',false, 'SwarmSize',10);
        [x,fval,exitflag,output] = particleswarm(@CFctr, 3, LB, UB, options);
        
    elseif optimAlg == 2 %patternsearch
        x_0 = [0.1287, 0.3720, 0.9535]';%[0.15, 0.15, 0.135]';
        options = optimoptions(@patternsearch, 'PlotFcn', 'psplotbestf', 'UseVectorized',false);
        [x,fval,exitflag,output] = patternsearch(@CFctr, x_0, [],[],[],[], LB, UB, options);
        
    elseif optimAlg == 3 %fminsearch
        options = optimset('PlotFcns',@optimplotfval);
        x_0 = [0.1287, 0.3720, 0.9535]';
        [x,fval,exitflag,output] = fminsearchbnd(@CFctr, x_0, LB, UB, options);
    end
    %Set the best gains in the simulation model
    set_param('model_for_simulation/Simulation inputs/Constant2', 'Value', mat2str(diag(x(1:3))));
end