load('results/eta.mat')
load('results/eta_d.mat')
load('results/eta_hat.mat')
load('results/eta_m.mat')
load('results/nu3.mat')
load('results/nu_d.mat')
load('results/nu_hat.mat')
load('results/tau.mat')
load('results/tau_sat.mat')
load('results/u.mat')
load('results/nu_dot.mat')
load('results/eta6.mat')

figure(1)
subplot(3,1,1)
plot(eta_hat.Time, eta_hat.Data(:,1))
hold on
plot(eta.Time, eta.Data(:,1))
hold on
plot(eta_d.Time, eta_d.Data(:,1))
ylabel('[m]')
legend('N_{hat}','N', 'N_d')

subplot(3,1,2)
plot(eta_hat.Time, eta_hat.Data(:,2))
hold on
plot(eta.Time, eta.Data(:,2))
hold on
plot(eta_d.Time, eta_d.Data(:,2))
ylabel('[m]')
%ylim([0 3])
legend('E_{hat}', 'E', 'E_d')

subplot(3,1,3)
plot(eta.Time, eta_hat.Data(:,3))
hold on
plot(eta.Time, eta.Data(:,3))
hold on
plot(eta.Time, eta_d.Data(:,3))
ylabel('[rad]')
xlabel('time [s]')
legend('psi_{hat}', 'psi', 'psi_d')

figure(4)
plot(tau.Time, tau.Data(:,1))
hold on
plot(tau.Time, tau.Data(:,2))
hold on
plot(tau.Time, tau.Data(:,3))
% hold on
% plot(tau_sat.Time, tau_sat.Data(:,1))
% hold on
% plot(tau_sat.Time, tau_sat.Data(:,2))
% hold on
% plot(tau_sat.Time, tau_sat.Data(:,3))
title('Controller calculated forces and moments')
xlabel('time [s]')
legend('surge force [N]', 'sway force [N]', 'yaw moment [Nm]')%, 'surge_{sat}', 'sway_{sat}', 'yaw_{sat}')

figure(5)
subplot(3,1,1)
plot(nu3.Time, nu_hat.Data(:,1))
hold on
plot(nu3.Time, nu3.Data(:,1))
ylabel('surge vel [m/s]')
legend('u_{hat}','u')
%
subplot(3,1,2)
plot(nu3.Time, nu_hat.Data(:,2))
hold on
plot(nu3.Time, nu3.Data(:,2))
ylabel('sway vel [m/s]')
legend('v_{hat}','v')

subplot(3,1,3)
plot(nu3.Time, nu_hat.Data(:,3))
hold on
plot(nu3.Time, nu3.Data(:,3))
ylabel('yaw rot vel [rad/s]')
xlabel('time [s]')
legend('r_{hat}','r')

figure(6)
subplot(3,1,1)
plot(eta6.Time, eta6.Data(:,1))
hold on
plot(eta6.Time, eta6.Data(:,2))
hold on
plot(eta6.Time, eta6.Data(:,6))
ylabel('[m]')
legend('N','E','heading')

subplot(3,1,2)
plot(eta6.Time, eta6.Data(:,3))
hold on
plot(eta6.Time, eta6.Data(:,4))
hold on
plot(eta6.Time, eta6.Data(:,5))
ylabel('[deg]/[m]')
%ylim([0 3])
legend('heave', 'roll', 'pitch')
