% Generate the labelled, procesed data sets

table2 = [0.0125, 0.025, 1/2, 1/3;
0.025, 0.04, 1/3, 1/4;
0.04, 0.06, 1/4, 1/5;
0.06, 0.09, 1/5, 1/6;
0.09, 0.14, 1/6, 1/7];

table3 = [0.0125, 0.025, 1/0.84, 1/0.97;
0.025, 0.04, 1/0.97, 1/1.1;
0.04, 0.06, 1/1.1, 1/1.25;
0.06, 0.09, 1/1.25, 1/1.44;
0.09, 0.14, 1/1.44, 1/1.70];

% Only plot if true. Write to file if false
visual = true;

for i = 1:12
    for j = 1:1
        RandStream.setGlobalStream(RandStream('mt19937ar','seed',sum(100*clock)))
        sea_state = randi([1,4],1);
        wave_amp_vec = [(table3(sea_state,2)-table3(sea_state,1)).*rand(1) + table3(sea_state,1)];
        wave_freq_vec = [(table3(sea_state,3)-table3(sea_state,4)).*rand(1) + table3(sea_state,4)].*2*pi;
        wave_dir_vec = (i-1)'*1/6*pi + 1/6*pi*rand(1);
        
        sim('model_for_simulation'); 
        IMUdata = [IMU_linacc_c(:,3)+9.80665, IMU_angacc_c(:,1:2)];
        %raw_IMUdata = [KF1linacc(:,3), KF1angacc(:,1:2)];
        %IMUdata = filtering(raw_IMUdata,2);
        if visual
            
            figure(j+(i-1)*2)
            time = [0:0.01:40];
            plot(time, IMUdata)
            y_label = ylabel('acceleration','FontSize',22);
            x_label = xlabel('time [s]','FontSize',22);
            y_label.Interpreter = 'latex';
            x_label.Interpreter = 'latex';
            set(gca,'FontSize',22);
            h_legend=legend('heave [$m/s^2$]','roll [$rad/s^2$]', 'pitch [$rad/s^2$]');
            set(h_legend,'Orientation','vertical','location','best','FontSize',...
                18,'Color','None','Interpreter','latex');
            T_p = 2*pi/wave_freq_vec(1);
            h_title=title(sprintf('$H_s$: %s m, $T_p$: %s s, wave dir: %s rad', num2str(wave_amp_vec(1)), num2str(T_p), num2str(wave_dir_vec)), 'FontSize',17);
            h_title.Interpreter = 'latex';
            set(gca,'TickLabelInterpreter','latex')
            
        else
            filename = sprintf('results/tr_data7/wave_dir%s_%s.txt', int2str(i), int2str(j));
            dlmwrite(filename, [i, wave_amp_vec(1), wave_freq_vec(1);IMUdata(3000:4000,:)])
        end
    end
end